#include <stdio.h>
#include <unistd.h>
#include <asm/io.h>
#define BASEPORT 0x60 /* lp1 */
int main()
{
	int i;
  /* Get access to the ports */
  if (ioperm(BASEPORT,16,1)) {perror("ioperm");exit(1);}
  
  /* Set the data signals (D0-7) of the port to all low (0) */
  //outb(0,BASEPORT);
  
  while (1) {
	  /* Sleep for a while ( ms) */
	  usleep(10);
  
	  /* Read from the status port (BASE+1) and display the result */
	  for (i = 0; i < 2; i++)
		  printf("%x ",inb(BASEPORT+i));
	  printf("\n");
  }
	  
  /* We don't need the ports anymore */
  if (ioperm(BASEPORT,8,0)) {perror("ioperm");exit(1);}
  exit(0);
}
